package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * 设计元素
 */
public class DesignTemplateItem extends BaseEntity {
    @RColumn("id")
    @Comment("")
    private long id;

    @RColumn("idtemplate")
    @Comment("关联的模板id")
    private long idTemplate;

    @Comment("元素展示名称")
    @RColumn("itemname")
    private String itemName;

    @RColumn("itemtype")
    @Comment("元素类型")
    private String itemType;

    @RColumn("locationx")
    @Comment("坐标x(锚点相对于拼版尺寸左上角)")
    private double locationX;

    @RColumn("locationy")
    @Comment("坐标y(锚点相对于拼版尺寸左上角)")
    private double locationY;

    @RColumn("sizewidth")
    @Comment("元素宽")
    private double sizeWidth;

    @RColumn("sizeheight")
    @Comment("元素高")
    private double sizeHeight;

    @RColumn("rotation")
    @Comment("旋转角度")
    private double rotation;

    @RColumn("zindex")
    @Comment("z轴顺序,0最底层")
    private int zIndex;

    @RColumn("jsoncontent")
    @Comment("元素属性json,通常是文件链接")
    private String jsonContent;

    @Comment("前台可编辑该元素的权限,逗号分隔,关联至DesignItemPerms.json")
    @RColumn("permissionsconfig")
    private String permissionsConfig;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdTemplate() {
        return idTemplate;
    }

    public void setIdTemplate(long idTemplate) {
        this.idTemplate = idTemplate;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public double getLocationX() {
        return locationX;
    }

    public void setLocationX(double locationX) {
        this.locationX = locationX;
    }

    public double getLocationY() {
        return locationY;
    }

    public void setLocationY(double locationY) {
        this.locationY = locationY;
    }

    public double getSizeWidth() {
        return sizeWidth;
    }

    public void setSizeWidth(double sizeWidth) {
        this.sizeWidth = sizeWidth;
    }

    public double getSizeHeight() {
        return sizeHeight;
    }

    public void setSizeHeight(double sizeHeight) {
        this.sizeHeight = sizeHeight;
    }

    public double getRotation() {
        return rotation;
    }

    public void setRotation(double rotation) {
        this.rotation = rotation;
    }

    public int getzIndex() {
        return zIndex;
    }

    public void setzIndex(int zIndex) {
        this.zIndex = zIndex;
    }

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getPermissionsConfig() {
        return permissionsConfig;
    }

    public void setPermissionsConfig(String permissionsConfig) {
        this.permissionsConfig = permissionsConfig;
    }
}
